VTK: nifti_2_header Struct Reference

| VTK 9.3.1

Public Attributes | List of all members
nifti_2_header Struct Reference

Data structure defining the fields in the nifti2 header. This binary header should be found at the beginning of a valid NIFTI-2 header file. More...

`#include <vtkNIFTIImagePrivate.h>`

## Public Attributes
int | sizeof_hdr
char | magic [8]
short | datatype
short | bitpix
long long | dim [8]
double | intent_p1
double | intent_p2
double | intent_p3
double | pixdim [8]
long long | vox_offset
double | scl_slope
double | scl_inter
double | cal_max
double | cal_min
double | slice_duration
double | toffset
long long | slice_start
long long | slice_end
char | descrip [80]
char | aux_file [24]
int | qform_code
int | sform_code
double | quatern_b
double | quatern_c
double | quatern_d
double | qoffset_x
double | qoffset_y
double | qoffset_z
double | srow_x [4]
double | srow_y [4]
double | srow_z [4]
int | slice_code
int | xyzt_units
int | intent_code
char | intent_name [16]
char | dim_info
char | unused_str [15]

## Detailed Description

Data structure defining the fields in the nifti2 header. This binary header should be found at the beginning of a valid NIFTI-2 header file.

Definition at line 225 of file vtkNIFTIImagePrivate.h.

## Member Data Documentation

## ◆ sizeof_hdr

int nifti_2_header::sizeof_hdr

MUST be 540

Definition at line 228 of file vtkNIFTIImagePrivate.h.

## ◆ magic

char nifti_2_header::magic[8]

MUST be valid signature.

Definition at line 229 of file vtkNIFTIImagePrivate.h.

## ◆ datatype

short nifti_2_header::datatype

Defines data type!

Definition at line 230 of file vtkNIFTIImagePrivate.h.

## ◆ bitpix

short nifti_2_header::bitpix

Number bits/voxel.

Definition at line 231 of file vtkNIFTIImagePrivate.h.

## ◆ dim

long long nifti_2_header::dim[8]

Data array dimensions.

Definition at line 232 of file vtkNIFTIImagePrivate.h.

## ◆ intent_p1

double nifti_2_header::intent_p1

1st intent parameter.

Definition at line 233 of file vtkNIFTIImagePrivate.h.

## ◆ intent_p2

double nifti_2_header::intent_p2

2nd intent parameter.

Definition at line 234 of file vtkNIFTIImagePrivate.h.

## ◆ intent_p3

double nifti_2_header::intent_p3

3rd intent parameter.

Definition at line 235 of file vtkNIFTIImagePrivate.h.

## ◆ pixdim

double nifti_2_header::pixdim[8]

Grid spacings.

Definition at line 236 of file vtkNIFTIImagePrivate.h.

## ◆ vox_offset

long long nifti_2_header::vox_offset

Offset into .nii file

Definition at line 237 of file vtkNIFTIImagePrivate.h.

## ◆ scl_slope

double nifti_2_header::scl_slope

Data scaling: slope.

Definition at line 238 of file vtkNIFTIImagePrivate.h.

## ◆ scl_inter

double nifti_2_header::scl_inter

Data scaling: offset.

Definition at line 239 of file vtkNIFTIImagePrivate.h.

## ◆ cal_max

double nifti_2_header::cal_max

Max display intensity

Definition at line 240 of file vtkNIFTIImagePrivate.h.

## ◆ cal_min

double nifti_2_header::cal_min

Min display intensity

Definition at line 241 of file vtkNIFTIImagePrivate.h.

## ◆ slice_duration

double nifti_2_header::slice_duration

Time for 1 slice.

Definition at line 242 of file vtkNIFTIImagePrivate.h.

## ◆ toffset

double nifti_2_header::toffset

Time axis shift.

Definition at line 243 of file vtkNIFTIImagePrivate.h.

## ◆ slice_start

long long nifti_2_header::slice_start

First slice index.

Definition at line 244 of file vtkNIFTIImagePrivate.h.

## ◆ slice_end

long long nifti_2_header::slice_end

Last slice index.

Definition at line 245 of file vtkNIFTIImagePrivate.h.

## ◆ descrip

char nifti_2_header::descrip[80]

any text you like.

Definition at line 246 of file vtkNIFTIImagePrivate.h.

## ◆ aux_file

char nifti_2_header::aux_file[24]

auxiliary filename.

Definition at line 247 of file vtkNIFTIImagePrivate.h.

## ◆ qform_code

int nifti_2_header::qform_code

NIFTI_XFORM_* code.

Definition at line 248 of file vtkNIFTIImagePrivate.h.

## ◆ sform_code

int nifti_2_header::sform_code

NIFTI_XFORM_* code.

Definition at line 249 of file vtkNIFTIImagePrivate.h.

## ◆ quatern_b

double nifti_2_header::quatern_b

Quaternion b param.

Definition at line 250 of file vtkNIFTIImagePrivate.h.

## ◆ quatern_c

double nifti_2_header::quatern_c

Quaternion c param.

Definition at line 251 of file vtkNIFTIImagePrivate.h.

## ◆ quatern_d

double nifti_2_header::quatern_d

Quaternion d param.

Definition at line 252 of file vtkNIFTIImagePrivate.h.

## ◆ qoffset_x

double nifti_2_header::qoffset_x

Quaternion x shift.

Definition at line 253 of file vtkNIFTIImagePrivate.h.

## ◆ qoffset_y

double nifti_2_header::qoffset_y

Quaternion y shift.

Definition at line 254 of file vtkNIFTIImagePrivate.h.

## ◆ qoffset_z

double nifti_2_header::qoffset_z

Quaternion z shift.

Definition at line 255 of file vtkNIFTIImagePrivate.h.

## ◆ srow_x

double nifti_2_header::srow_x[4]

1st row affine transform.

Definition at line 256 of file vtkNIFTIImagePrivate.h.

## ◆ srow_y

double nifti_2_header::srow_y[4]

2nd row affine transform.

Definition at line 257 of file vtkNIFTIImagePrivate.h.

## ◆ srow_z

double nifti_2_header::srow_z[4]

3rd row affine transform.

Definition at line 258 of file vtkNIFTIImagePrivate.h.

## ◆ slice_code

int nifti_2_header::slice_code

Slice timing order.

Definition at line 259 of file vtkNIFTIImagePrivate.h.

## ◆ xyzt_units

int nifti_2_header::xyzt_units

Units of pixdim[1..4]

Definition at line 260 of file vtkNIFTIImagePrivate.h.

## ◆ intent_code

int nifti_2_header::intent_code

NIFTI_INTENT_* code.

Definition at line 261 of file vtkNIFTIImagePrivate.h.

## ◆ intent_name

char nifti_2_header::intent_name[16]

'name' or meaning of data.

Definition at line 262 of file vtkNIFTIImagePrivate.h.

## ◆ dim_info

char nifti_2_header::dim_info

MRI slice ordering.

Definition at line 263 of file vtkNIFTIImagePrivate.h.

## ◆ unused_str

char nifti_2_header::unused_str[15]

unused, filled with \0

Definition at line 264 of file vtkNIFTIImagePrivate.h.

The documentation for this struct was generated from the following file:

- IO/Image/vtkNIFTIImagePrivate.h